- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# StrftimeDateFormat Class Reference

Inherits DateFormat.

List of all members.

## Detailed Description

Concrete class for formatting and parsing dates in a locale-sensitive manner.

## Public Member Functions
| StrftimeDateFormat (const LogString &pattern)
| Constructs a DateFormat using the given pattern and the default time zone.
| ~StrftimeDateFormat ()
virtual void | format (LogString &s, log4cxx_time_t tm, log4cxx::helpers::Pool &p) const
| Formats an log4cxx_time_t into a date/time string.
void | setTimeZone (const TimeZonePtr &zone)
| Set time zone.

## Constructor & Destructor Documentation

StrftimeDateFormat | ( | const LogString & | pattern | ) |

  | Constructs a DateFormat using the given pattern and the default time zone. Parameters:
  | pattern | the pattern describing the date and time format

~StrftimeDateFormat | ( |  | ) |

## Member Function Documentation

virtual void format | ( | LogString & | s,
|  | log4cxx_time_t | tm,
|  | log4cxx::helpers::Pool & | p
| ) | const`[virtual]`

  | Formats an log4cxx_time_t into a date/time string. Parameters:
  | s | string to which the date/time string is appended.
  | tm | date to be formatted.
  | p | memory pool used during formatting.
Implements DateFormat.

void setTimeZone | ( | const TimeZonePtr & | zone | ) | `[virtual]`

  | Set time zone. Parameters:
  | zone | new time zone.
Reimplemented from DateFormat.

The documentation for this class was generated from the following file:

- strftimedateformat.h